#ifndef DYN_MODULES_PRODUCT_HH
#define DYN_MODULES_PRODUCT_HH

#include <awali/dyn/core/automaton.hh>

namespace awali {
  namespace dyn {

    automaton_t product(automaton_t aut1, automaton_t aut2, bool keep_history=true);
    //automaton_t power(automaton_t aut, unsigned n);
    automaton_t shuffle(automaton_t aut1, automaton_t aut2, bool keep_history=true);
    automaton_t infiltration(automaton_t aut1, automaton_t aut2, bool keep_history=true);
    automaton_t Union(automaton_t aut1, automaton_t aut2);

  }
}//end of ns awali::dyn

#endif
