#include<iostream>
#include <awali/utils/heap.hh>
#include<cstdlib>
#include<ctime>

using namespace awali;

int main() {
  utils::min_heap<int,int> h(100);
  std::srand(time(nullptr));
  for(int i=0; i<100;++i) {
    int k=std::rand()%10000;
    h.emplace(k,k);
  }
  h.heapify();
  while(!h.empty()){
    int k=h.pop();
    std::cout << k << std::endl;
  }
  std::cout << "------" << std::endl;
  //push
  for(int i=0; i<100;++i) {
    int k=std::rand()%10000;
    h.push(k,10000-k);
  }
  while(!h.empty()){
    int k=h.pop();
    std::cout << k << std::endl;
  }

  std::cout << "------" << std::endl;
  size_t t[100];
  int k[100];
  //push & update
  for(int i=0; i<100;++i) {
    k[i]=std::rand()%10000;
    t[i]=h.push(k[i],k[i]);
  }
  for(int i=0; i<100;++i)
    h.update(t[i], 10000-k[i]);
  while(!h.empty()){
    int kn=h.pop();
    std::cout << kn << std::endl;
  }


  return 0;
}
