/* This file is a false header used to centralize the description of the
 * namespaces of Awali. 
 * Used in particular by Doxygen.
 */

/** @brief Main namespace of Awali */
namespace awali {

  /** @brief Namespace for the static layer of Awali. */
  namespace sttc {

    /** @brief Implementations of static layer (not stable) */
    namespace internal { }

  }

  /** @brief Namespace for the dynamical layer of Awali.*/
  namespace dyn {

    /** @brief Implementations of dyn layer (not stable) */
    namespace internal { }

  }


  /** @brief Namespace containing the C++ that simplify type for easier to Python. */
  namespace py {

  }


}
