#ifndef AWALI_CTX_LAL_INT_HH
# define AWALI_CTX_LAL_INT_HH

#include <awali/sttc/alphabets/basic_letter.hh>
#include <awali/sttc/alphabets/set_basicalpha.hh>
#include <awali/sttc/labelset/letterset.hh>

namespace awali {
  namespace sttc {
    template <>
    template <>
    typename basic_letters<int>::letter_t
    basic_letters<int>::special<basic_letters<int>::letter_t>()
    {
      return special_letter();
    }

    template <>
    template <>
    typename basic_letters<int>::word_t
    basic_letters<int>::special<basic_letters<int>::word_t>()
    {
      return {special_letter()};
    }

    template<>
    struct alpha_name<sttc::basic_letters<int>> {
      static std::string name() {
	return "int";
      }

      static std::string jsname() {
	return "Int Letters";
      }
    };

    namespace ctx
    {
      using lal_int = letterset<sttc::set_basic_alphabet<sttc::basic_letters<int>>>;
    }
  }
}//end of ns awali::stc

#endif // !AWALI_CTX_LAL_INT_HH
