#ifndef AWALI_CTX_LAO_Z_HH
# define AWALI_CTX_LAO_Z_HH

#include <awali/sttc/labelset/oneset.hh>
#include <awali/sttc/ctx/context.hh>
#include <awali/sttc/weightset/z.hh>

namespace awali { namespace sttc {

  namespace ctx
  {
    using lao_z = context<oneset, sttc::z>;
  }
}}//end of ns awali::stc

#include <awali/sttc/ctx/instantiate.hh>

namespace awali { namespace sttc {

  AWALI_CTX_INSTANTIATE(ctx::lao_z);
}}//end of ns awali::stc

#endif // !AWALI_CTX_LAO_Z_HH
