#ifndef DYN_ALGOS_SYS_HH
#define DYN_ALGOS_SYS_HH



namespace awali { namespace dyn {

  void display(automaton_t aut, const std::string& name="tmp", bool history=false, bool horizontal=true);
 
  void pdfdisplay(automaton_t aut, const std::string& name="tmp", bool history=false, bool horonztal=true);


  automaton_t parse_automaton(std::istream& i, const std::string& fmt);

  std::ostream& put(automaton_t aut, std::ostream& o, std::string& format);


  void save(const automaton_t aut, const std::string& filename, const std::string& fmt = "json");
  automaton_t load(const std::string& filename, const std::string& fmt = "json");

}}//end of ns awali::dyn



#endif
