#ifndef DYN_MODULES_HISTORY_HH
#define DYN_MODULES_HISTORY_HH

#include <awali/dyn/core/automaton.hh>
#include <awali/common/history-kind.hh>

namespace awali {
  namespace dyn {

  history_kind_t get_history_kind(automaton_t aut);

  //For SINGLE
  state_t get_origin_state(automaton_t aut, state_t s);

  //For PARTITION and TUPLE
  std::vector<state_t> get_origin_states(automaton_t aut, state_t s);

  }
}//end of ns awali::dyn


#endif
