#include <awali/dyn.hh>
#include <awali/dyn/loading/locations.hh>
#include <fstream>
#include <cassert>

using namespace awali::dyn;

int main() {
//   std::ifstream file(loading::get_share_directory()+"/automata/a1.json");
  automaton_t aut = load("a1","json");
//   file.close();

  aut=Union(aut, aut);

  std::ofstream out("tmp");
  fado(aut, out);
  out.close();
  std::ifstream file;
  file.open("tmp");
  automaton_t fado_aut = fado(file);
  file.close();

  assert(are_isomorphic(aut,fado_aut));

  out.open("tmp");
  grail(aut, out);
  out.close();
  file.open("tmp");
  automaton_t grail_aut = grail(file);
  file.close();

  assert(are_isomorphic(aut,grail_aut));

  out.open("tmp");
  dot(aut, out);
  out.close();

  return 0;
}
