#!/bin/bash

out=/dev/null
# out=log.txt  # COMMENT/UNCOMMENT to activate/deactivate debug-information
               # writing to file log.txt


_cora()
{
  COMPREPLY=()
  cur=${COMP_WORDS[COMP_CWORD]}
  IFS=$'\n'
  echo \"${COMP_WORDS[@]}\" > ${out}
  echo ${COMP_CWORD} >> ${out}

  COMPREPLY=($(compgen -W '`__cora_autocompletion ${COMP_CWORD} "${COMP_WORDS[@]}" 2>> ${out}`' -- $curw))
  echo \"${COMPREPLY[@]}\" >> ${out}
}

complete -o nospace -F _cora cora
